import App from './App'
import { getToken,checkLoginStatus } from '@/api/login.js';
import StaticValue from '@/utils/StaticValue.js'

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  app.config.globalProperties.$StaticValue = StaticValue; // 挂载全局变量
  return {
    app
  }
}
// #endif
checkLoginStatus();
getToken();